.searchwrapper {
    display: grid;
    height: var(--header-height);
}
.search-icon-wrapper {
    z-index: 3;
    width: 27.4vw;
    justify-self: flex-end;
    align-content: center;
    display: flex;
    flex-wrap: wrap;
}

.search-icon-row {
    display: flex;
}

.search-icon-wrapper button#searchsubmit {
    width: 60px;
    height: 52px;
}

.search-icon-wrapper button#searchsubmit {
    background-color: transparent;
    padding: 0;
    box-shadow: none;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
}

.search-icon-wrapper form.search-icon-row {
    background-color: transparent;
    padding: 0;
    border-radius: 5px;
    border: 1px solid var(--sec-color);
    margin-top: 6px;
    height: 54px;
    width: 100%;
}

.search-icon-wrapper form.search-icon-row input[type="text"] {
    border: none;
    height: 54px;
    transition: all 0.3s ease-in-out;
    padding-left: 15px;
    padding-right: 0;
    font-family: Roboto Condensed;
    font-size: 18px;
    color: var(--pri-color) !important;
}

.search-icon-wrapper form.search-icon-row input[type="text"]::placeholder {
    color: var(--pri-color);
    text-transform: uppercase;
    opacity: 0.9;
}

.search-icon-wrapper.active form.search-icon-row input[type="text"] {
    padding-left: 20px;
    padding-right: 20px;
}

.search-icon-wrapper i.search-icon {
    background-image: url(../images/icons/search-icon.svg);
    background-size: contain;
    background-repeat: no-repeat;
    display: block;
    width: 20px;
    height: 20px;
}

